# NOTICE
I stopped using OpenBSD on my VPS recently, and I probably won't use it for the foreseeable future.
This repo will be stagnant and archived until further notice. Feel free to fork this repo and update
the ports yourself.

# OpenBSD Ports
Modified OpenBSD 7.2 ports. Everything here works with OpenBSD 7.2.

## Not-so-temporary Notice
If you have i2pd-2.45.0 installed from this repo, the portfiles have been modified to match the 
upstream OpenBSD ports and to fix some missing libraries. Back up the contents of `/etc/i2pd`
and your website keys, for example `/var/lib/i2pd/website.dat`.

Run these commands to upgrade:

```
rm -rf /etc/i2pd
pkg_delete -c i2pd
cd /tmp
ftp https://gitler.moe/koishi/openbsd-ports/archive/master.tar.gz
tar xzvf /tmp/master.tar.gz
rm -rf /usr/ports/net/i2pd
mv /tmp/openbsd-ports/net/i2pd /usr/ports/net/
cd /usr/ports/net/i2pd
make clean
rm -rf /usr/ports/pobj/i2pd-2.45.0/ 
rm -f /usr/ports/packages/amd64/all/i2pd-2.45.0.tgz 
rm -f /usr/ports/plist/amd64/i2pd-2.45.0
make install
```

## How to install
First if you haven't done so, download and unpack the ports tree for your current OpenBSD version.

These instructions are taken from https://www.openbsd.org/faq/ports/ports.html#PortsFetch

```
cd /tmp
ftp https://cdn.openbsd.org/pub/OpenBSD/$(uname -r)/{ports.tar.gz,SHA256.sig}
signify -Cp /etc/signify/openbsd-$(uname -r | cut -c 1,3)-base.pub -x SHA256.sig ports.tar.gz
cd /usr
tar xzf /tmp/ports.tar.gz
```

Then remove some ports and unpack this git repo on top of the ports tree with the instructions below:

```
rm -rf /usr/ports/net/{i2pd,tor}
cd /tmp
ftp https://gitler.moe/koishi/openbsd-ports/archive/master.tar.gz
tar xzvf /tmp/master.tar.gz
mv /tmp/openbsd-ports/net/* /usr/ports/net/
```

## Installing dependencies

```
# i2pd dependencies
pkg_add cmake ninja gmake boost 

# tor dependencies
pkg_add autoconf (select autoconf-2.69 with any patch version)
pkg_add metaauto libevent
```
